Version Mismatch -1 reply

Please wait...

Guest

I didn't make it!

0 XP

 
#1 12 years ago

Hi all, A few months back i bought Star Wars Battlefront 2 and started playing it online through Gamespy. All was good for a month or so untill everytime i now try to join a get a box bringing up " Version Mismatch " that will not allow me to join a game. A friend has mentioned a may need to download a patch but he does not know which one ? Would anyone on here be able to post a link to where i might be able to resolve to problem ? Im not the best in the world with tech issuesd. I would be very very greatful ! Thanks in advance.




Memorex

I'm in love with myself.I Am!

50 XP

9th October 2004

0 Uploads

5,668 Posts

0 Threads

#2 12 years ago

I think this is the latest patch for BF, someone correct me if I'm wrong